---

 source/nc.c |   28 +++++++++++++++++++++++-----
 1 file changed, 23 insertions(+), 5 deletions(-)

diff --quilt old/source/nc.c new/source/nc.c
--- old/source/nc.c
+++ new/source/nc.c
@@ -131,6 +131,8 @@ static struct {
     char serverName[MAXPATHLEN];
     int waitForClose;
     int timeOut;
+    char neditHost[MAXNODENAMELEN+1];
+    char neditUser[MAXUSERNAMELEN+1];
 } Preferences;
 
 /* Application resources */
@@ -144,7 +146,11 @@ static PrefDescripRec PrefDescrip[] = {
     {"waitForClose", "WaitForClose", PREF_BOOLEAN, "False",
       &Preferences.waitForClose, NULL, False},
     {"timeOut", "TimeOut", PREF_INT, "10",
-      &Preferences.timeOut, NULL, False}
+      &Preferences.timeOut, NULL, False},
+    {"neditHost", "NEditHost", PREF_STRING, "",
+      Preferences.neditHost, (void *)sizeof(Preferences.neditHost), False},
+    {"neditUser", "NEditUser", PREF_STRING, "",
+      Preferences.neditUser, (void *)sizeof(Preferences.neditUser), False},
 };
 
 /* Resource related command line options */
@@ -154,7 +160,9 @@ static XrmOptionDescRec OpTable[] = {
     {"-svrname", ".serverName", XrmoptionSepArg, (caddr_t)NULL},
     {"-svrcmd", ".serverCommand", XrmoptionSepArg, (caddr_t)NULL},
     {"-wait", ".waitForClose", XrmoptionNoArg, (caddr_t)"True"},
-    {"-timeout", ".timeOut", XrmoptionSepArg, (caddr_t)NULL}
+    {"-timeout", ".timeOut", XrmoptionSepArg, (caddr_t)NULL},
+    {"-host", ".neditHost", XrmoptionSepArg, (caddr_t)NULL},
+    {"-user", ".neditUser", XrmoptionSepArg, (caddr_t)NULL}
 };
 
 /* Struct to hold info about files being opened and edited. */
@@ -271,13 +279,20 @@ int main(int argc, char **argv)
     XtFree((char*)xt_argv);
     rootWindow = RootWindow(TheDisplay, DefaultScreen(TheDisplay));
     
-    /* Process the command line, with original arguments */
-    commandLine = processCommandLine(argc, argv);
-
     /* Read the application resources into the Preferences data structure */
     RestorePreferences(prefDB, XtDatabase(TheDisplay), APP_NAME,
     	    APP_CLASS, PrefDescrip, XtNumber(PrefDescrip));
     
+    /* overwrite environment NEDIT_HOST/NEDIT_USER with -host/-user
+     * TODO: I think you can now set nc.neditHost and nc.neditUser in the
+     * .Xresource file, but than you can not overwrite these with the
+     * NEDIT_HOST/NEDIT_USER variables.
+     */
+    if (Preferences.neditHost[0] != '\0')
+        setenv("NEDIT_HOST", Preferences.neditHost, True);
+    if (Preferences.neditUser[0] != '\0')
+        setenv("NEDIT_USER", Preferences.neditUser, True);
+
     /* Make sure that the time out unit is at least 1 second and not too
        large either (overflow!). */
     if (Preferences.timeOut < 1) {
@@ -299,6 +314,9 @@ int main(int argc, char **argv)
     }
 #endif /* VMS */
     
+    /* Process the command line, with original arguments */
+    commandLine = processCommandLine(argc, argv);
+
     /* Create the wait properties for the various files. */
     createWaitProperties();
         
